Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/swig2: new aport

From: Jose Maria Garcia <josemaria.alkala_at_gmail.com>
Date: Fri, 17 Nov 2017 21:19:15 +0100

http://www.swig.org/
A compiler that makes it easy to integrate C and C++ code with scripting languages.
---
 testing/swig2/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/swig2/APKBUILD
diff --git a/testing/swig2/APKBUILD b/testing/swig2/APKBUILD
new file mode 100644
index 0000000000..4f3eb04b3d
--- /dev/null
+++ b/testing/swig2/APKBUILD
_at_@ -0,0 +1,35 @@
+# Contributor: Jose Maria Garcia <josemaria.alkala_at_gmail.com>
+# Maintainer:
+# Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
+pkgname=swig
+pkgver=2.0.12
+pkgrel=1
+pkgdesc="A compiler that makes it easy to integrate C and C++ code with scripting languages"
+url="http://www.swig.org/"
+arch="all"
+license="GPL3 BSD"
+depends="guile"
+makedepends="zlib-dev pcre-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+	install -D -m644 LICENSE-UNIVERSITIES "$pkgdir"/usr/share/licenses/$pkgname/LICENSE-UNIVERSITIES || return 1
+}
+sha512sums="7969cd8ce309ca46316fa4851b5cdd72122cb075cde8c17d74ee97969cd9555eff0d995f60bf17ff4090c83f66f6c66df2c61d9c06e2e30a2b36a4b8204c5890  swig-2.0.12.tar.gz"
-- 
2.15.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 17 2017 - 21:19:15 GMT